Skip to main content
POST
Simulate Incoming Wire Return V2

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

wire_id
string
required

ID of the outgoing wire (or outgoing return wire) you want to return.

Pattern: ^wire_\w+$

Body

application/json
reason
enum<string>
required

Return reason code.

Available options:
account_blocked,
wrong_amount,
creditor_name_mismatch,
honor_return_request,
fraud_suspected,
creditor_request,
narrative,
missing_debtor_data,
missing_creditor_data
Example:

"creditor_request"

amount
integer<int64>

Amount to return in USD cents.

Required range: 1 <= x <= 990000000000
Example:

5000

return_additional_information
string

Additional details about why the wire is being returned.

Required string length: 1 - 105
Pattern: ^[0-9a-zA-Z/\-\?:\(\)\.,'\+ !@#$%^&\*=_`\{\|\}~";<>\[\\\]]*[0-9a-zA-Z/\-\?:\(\)\.,'\+!@#$%^&\*=_`\{\|\}~";<>\[\\\]][0-9a-zA-Z/\-\?:\(\)\.,'\+ !@#$%^&\*=_`\{\|\}~";<>\[\\\]]*$

Response

Incoming wire return object created. The response body is empty.

The response is of type object.